#!/bin/sh
# script for execution of deployed applications
#
# Sets up the MCR environment for the current $ARCH and executes 
# the specified command.
#
# Modified by Mark Harvilla for use with the csawh_wrapper binary
#
# Mark Harvilla
# Carnegie Mellon University
# mharvill@cs.cmu.edu
# December 1, 2011
exe_name=$0
exe_dir=`dirname "$0"`

flag=0 #flag for usage display
if [ $# = 0 -o $# -gt 2 ]; then #if number of inputs is zero or greater than two
  flag=1
elif [ $1 = "-h" ]; then #if input is -h
  flag=1
fi

if [ $flag -eq 1 ]; then #if the flag is set, display the usage -- otherwise, run the program
  echo "Usage: ./go_csawh_wrapper.sh <filelist> <config_file>"
  echo " "
  echo "Compensatory Spectral Averaging and Warping using Histograms (CSAWH)"
  echo "version 3.0"
  echo " "
  echo "Written by Mark Harvilla (mharvill@cs.cmu.edu)"
  echo "Carnegie Mellon University"
  echo "December 1, 2011"
  echo " "
  echo "Default parameter values:"
  echo "fs 16000"
  echo "feat_name cmu_feat"
  echo "appDeltas 1"
  echo "del_width 5"
  echo "alpha 0.85"
  echo "resynth 0"
  echo "numFilts 40"
  echo "dLowFreq 133"
  echo "dHighFreq 6855"
  echo "cmn 1"
  echo "fileType sph"
  echo "addDither 1"
  echo "overwrite 0"
else
  MCRROOT=/net/juniper/opt/MATLAB/MATLAB_Compiler_Runtime/v714 ;
  LD_LIBRARY_PATH=.:${MCRROOT}/runtime/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64;
	MCRJRE=${MCRROOT}/sys/java/jre/glnxa64/jre/lib/amd64 ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/native_threads ; 
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/server ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE}/client ;
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRJRE} ;  
  XAPPLRESDIR=${MCRROOT}/X11/app-defaults ;
  export LD_LIBRARY_PATH;
  export XAPPLRESDIR;
  args=
  while [ $# -gt 0 ]; do
      token=`echo "$1" | sed 's/ /\\\\ /g'`   # Add blackslash before each blank
      args="${args} ${token}" 
      shift
  done
  eval "${exe_dir}"/csawh_wrapper $args
fi
exit
